Loading...
Searching...
No Matches
apply_iterator< Iterator, Operator >

## Detailed Description

template<class Iterator, class Operator>
class rheolef::apply_iterator< Iterator, Operator >

Definition at line 95 of file msg_util.h.

Inheritance diagram for apply_iterator< Iterator, Operator >:

## Public Types

typedef Operator::result_type | value_type

## Public Member Functions

| apply_iterator (Iterator i1, Operator op1)
apply_iterator & | operator++ ()
apply_iterator | operator++ (int)
value_type | operator* () const
bool | operator== (apply_iterator< Iterator, Operator > b) const
bool | operator!= (apply_iterator< Iterator, Operator > b) const

## Protected Attributes

Iterator | i
Operator | op

## Member Typedef Documentation

## value_type

template<class Iterator , class Operator >

typedef Operator::result_type value_type

Definition at line 97 of file msg_util.h.

## Constructor & Destructor Documentation

## apply_iterator()

template<class Iterator , class Operator >

apply_iterator | ( | Iterator | i1,
|  | Operator | op1
| ) |  |

Definition at line 98 of file msg_util.h.

## Member Function Documentation

## operator++() [1/2]

template<class Iterator , class Operator >

apply_iterator & operator++ | ( |  | ) |

Definition at line 100 of file msg_util.h.

## operator++() [2/2]

template<class Iterator , class Operator >

apply_iterator operator++ | ( | int |  | ) |

Definition at line 102 of file msg_util.h.

## operator*()

template<class Iterator , class Operator >

value_type operator* | ( |  | ) | const

Definition at line 104 of file msg_util.h.

## operator==()

template<class Iterator , class Operator >

bool operator== | ( | apply_iterator< Iterator, Operator > | b | ) | const

Definition at line 105 of file msg_util.h.

## operator!=()

template<class Iterator , class Operator >

bool operator!= | ( | apply_iterator< Iterator, Operator > | b | ) | const

Definition at line 106 of file msg_util.h.

## Member Data Documentation

## i

template<class Iterator , class Operator >

Iterator i

protected

Definition at line 108 of file msg_util.h.

## op

template<class Iterator , class Operator >

Operator op

protected

Definition at line 109 of file msg_util.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/msg_util.h